# TdApi.TextEntities

Package it.ernytech.tdlib

## Class TdApi.TextEntities

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.TextEntities

Enclosing class:
  TdApi

    public static class TdApi.TextEntities
    extends TdApi.Object

Contains a list of text entities.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.TextEntity[]` `entities` List of text entities.

### Constructor Summary

Constructors
`TextEntities()` Default constructor.
`TextEntities​(TdApi.TextEntity[] entities)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### entities

    public TdApi.TextEntity[] entities

List of text entities.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### TextEntities

    public TextEntities()

Default constructor.

#### TextEntities

    public TextEntities​(TdApi.TextEntity[] entities)

Constructor for initialization of all fields.

Parameters:
  `entities` - List of text entities.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR